Security Lab

Множественные уязвимости в mgetty

Дата публикации:11.04.2003
Дата изменения:09.12.2008
Всего просмотров:1034
Опасность:
Средняя
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: CVE-2002-1391
CVE-2002-1392
Вектор эксплуатации: Локальная сеть
Воздействие: Повышение привилегий
Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: mgetty 1.x
Уязвимые версии: mgetty версии до 1.1.29.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю повысить свои привилегии и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточного ограничения доступа к faxspool. Локальный пользователь может не зависимо от привилегий доступа отправлять факсы.

2. Уязвимость существует из-за ошибки проверки границ данных в 'cnd-program' при обработке имени пользователя (CallerName), переданного модемом. Удаленный пользователь может вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: mgetty.greenie.net

Решение: Установите последнюю версию 1.1.29 с сайта производителя.

Ссылки: 1.1.29 released